-- Start
function ExamineFor_OFTF()
	StartCurrentOneForTheFuture( 0 )
end

-- Month
function OneForTheFutureMonthPassed( months )
	StartCurrentOneForTheFuture( months )
end

function StartCurrentOneForTheFuture( months )
	local monthsDelay = 0
	local monthsDiffForIndex = monthsDelay - 1
	Print( "Start of Prints" )
	if( months >= monthsDelay ) then
		local category = "NEWS"
		local storyId = "FUTURE"
		local storyId2 = "FUTURE2"
		local lastUse = -1
		lastUse = MakeOneForTheFutureQuery( lastUse )
		local playerQuery1 = Engine.GetPlayerIdFromQueryByIndex( months - monthsDiffForIndex )
		Print( playerQuery1 )
		if( playerQuery1 > 0 ) then
			local team1 = Engine.GetTeamIdFromPlayerId( playerQuery1 )
			if( team1 > 0 ) then
				if( StartStory_OFTF( team1, playerQuery1, category, storyId ) == true ) then
					Engine.ClearLastPlayerQuery()
					lastUse = MakeOneForTheFutureQuery( lastUse )
					local playerQuery2 = Engine.GetPlayerIdFromQueryByIndex( months - monthsDiffForIndex )
					if( playerQuery2 > 0 ) then
						local team2 = Engine.GetTeamIdFromPlayerId( playerQuery2 )
						if( team2 > 0 ) then
							if( StartStory_OFTF( team2, playerQuery2, category, storyId2 ) == true ) then
								Engine.AddDateEvent( "OFTF_DELAY", Tuning.OFTF.secondArticle_Delay, storyId2 )
							end
						else
							Print( "Player Id: " .. playerQuery2 .. " does not belong to a valid team" )
						end
					end
				end
			else
				Print( "Player Id: " .. playerQuery1 .. " does not belong to a valid team" )
			end
		end
	end
end

function StartStory_OFTF( team, playerQuery, category, storyId )
	local success = false
	if( Engine.MarkPlayerForStory( team, playerQuery, category, storyId ) == true ) then
		success = true
		if( storyId == "FUTURE" ) then
			OFTF_Team1()
		end
	end
	return success
end --if( Engine.MarkPlayerForStory( team1, playerQuery1, category, storyId ) == true ) then

function MakeOneForTheFutureQuery( listIndex )
	local randChoice1 = listIndex
	while randChoice1 == listIndex do
		local chanceOfFinding_Great = Tuning.OFTF.chanceOfFinding_Great
		local chanceOfFinding_Good = Tuning.OFTF.chanceOfFinding_Good
		local potChance = Engine.GetRandomNumber( 1, 100 )
		if( potChance <= chanceOfFinding_Great ) then
			randChoice1 = 1
		elseif( potChance <= ( chanceOfFinding_Great + chanceOfFinding_Good ) ) then
			randChoice1 = 2
		else
			randChoice1 = 3
		end
	end
	if( randChoice1 == 1 ) then
		Engine.ClearLastPlayerQuery()
		Engine.QueryPlayersByPotentialAndAge( Tuning.OFTF.greatRating_Low, Tuning.OFTF.greatRating_High, 1, 19, 1000 )
	elseif( randChoice1 == 2 ) then
		Engine.ClearLastPlayerQuery()
		Engine.QueryPlayersByPotentialAndAge( Tuning.OFTF.goodRating_Low, Tuning.OFTF.goodRating_High, 1, 19, 1000 )
	else
		Engine.ClearLastPlayerQuery()
		Engine.QueryPlayersByPotentialAndAge( Tuning.OFTF.averageRating_Low, Tuning.OFTF.averageRating_High, 1, 19, 1000 )
	end --if( randChoice1 == 1 ) then
	return randChoice1
end

function OFTF_Team1()
	OFTF_SendNews( "FUTURE" )
end

function OFTF_Team2()
	OFTF_SendNews( "FUTURE2" )
end

function OFTF_SendNews( storyId )
	local category = "NEWS"
	local storyCount = 1
	local numStories = Engine.GetNumStoriesWithId( storyId )
	if( numStories > 0 ) then
		local currentStory = Engine.GetStoryById( storyId )
		local playerQuery = Engine.GetStoryPlayer( currentStory )	
		local team = Engine.GetTeamIdFromPlayerId( playerQuery )
		local playerPos = Engine.GetPlayerPosition( team, playerQuery )
		local height = Engine.GetPlayerDBValue( playerQuery, "height" )		
		local goals = Engine.GetPlayerStat( team, playerQuery, "GOALS" )
		local playedYet = "NIL"
		Engine.AddPlayerMonitor( playerQuery, "FUTURE", Tuning.OFTF.storyCooldown )
		Engine.SetStringTeam( team, 1 )
		Engine.SetStringPlayer( playerQuery, 1 )
		Engine.SetNewsImportance( "OFTF" )
		Engine.SetNewsForegroundImage( "CENTER", "PLAYER_IMG", playerQuery )
		Engine.SetNewsForegroundImage( "RIGHT", "CLUB_CREST", team )
		Engine.SetNewsBackgroundImage( "ONE_FOR_THE_FUTURE" )
		Engine.SetNewsCinematic( "CM_News_PlayerActionPositive" )
		if( playerPos == "GK" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_GK_Played_", 1, 4, currentStory, height, playedYet, goals )
		elseif( playerPos == "RB" or playerPos == "LB" or playerPos == "RWB" or playerPos == "LWB" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_FB_Played_", 1, 4, currentStory, height, playedYet, goals )
		elseif( playerPos == "CB" or playerPos == "SW" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_CB_Played_", 1, 4, currentStory, height, playedYet, goals )
		elseif( playerPos == "CDM" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_CDM_Played_", 1, 4, currentStory, height, playedYet, goals )
		elseif( playerPos == "CM" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_CM_Played_", 1, 4, currentStory, height, playedYet, goals )
		elseif( playerPos == "CAM" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_CAM_Played_", 1, 4, currentStory, height, playedYet, goals )
		elseif( playerPos == "RM" or playerPos == "LM" or playerPos == "RW" or playerPos == "LW" ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_WM_Played_", 1, 4, currentStory, height, playedYet, goals )
		else --if( playerPos == ST or playerPos == CF ) then
			TriggerNews( "News_Title_OneForTheFuture_", 1, 1, "News_Body_OneForTheFuture_ST_Played_", 1, 4, currentStory, height, playedYet, goals )
		end --if( playerPos == "GK" ) then
		if( storyId == "FUTURE2" ) then
			Engine.EndStoryCategory( category, false )
		end
	end --	if( numStories > 0 ) then
end

function OneForTheFutureDynamicEvent( eventId, storyId )
	if( eventId == "OFTF_DELAY" ) then
		local numStories = Engine.GetNumStoriesWithId( storyId )
		if( numStories > 0 ) then
			local currentStory = Engine.GetStoryById( storyId )
			local playerQuery = Engine.GetStoryPlayer( currentStory )
			local team = Engine.GetTeamIdFromPlayerId( playerQuery )
			OFTF_Team2()
		end
	end
end